unit BtnBtn1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;
  Modus: Boolean;
  
implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
  if Modus then
  begin
    Button1.Hide;
    Modus := not Modus;
  end
  else
    Button2.Show;
  if not Button3.Visible then Button3.Show;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  if not Modus then
  begin
    Button1.Show;
    Modus := not Modus;
  end
  else
    Button2.Hide;
  if not Button3.Visible then Button3.Show;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Modus := true;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  Button1.Show;
  Button2.Show;
  Button3.Hide;
end;

end.
